Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

3D points

Status
Not open for further replies.

mayrou

Electrical
Jan 8, 2014
55
TN
Hello World!
I want to activate 3D points in my drawing views using a macro in CATIA
I would greatly appreciate any help or any suggestions
Regards,


 
Replies continue below

Recommended for you

Hello Mayrou,

I think it would help you.

Sub CATMain()
Dim drawingDocument1 As DrawingDocument
Set drawingDocument1 = CATIA.ActiveDocument

Dim selection1 As selection
Set selection1 = CATIA.ActiveDocument.selection

selection1.Search "Drafting.'Generated Item'.Symbol=Cross,all"

End Sub

 
Code:
Sub Points_Projection_Mode()

    Dim oDrawing As DrawingDocument
    Set oDrawing = CATIA.ActiveDocument
    
    Dim oSheets As DrawingSheets
    Set oSheets = oDrawing.Sheets
    
    Dim oSheet As DrawingSheet
    Set oSheet = oSheets.Item(1)
    
    Dim oView As DrawingView
    Set oView = oSheet.Views.Item(3)
    oView.Activate
    
    oView.GenerativeBehavior.PointsProjectionMode = catPointsProjectionModeOn
    Set oView2 = oView.GenerativeBehavior
    
    oView2.Update
    
End Sub
 
Code:
Sub Points_Projection_Mode()

    Dim oDrawing As DrawingDocument
    Set oDrawing = CATIA.ActiveDocument
    
    Dim oSheets As DrawingSheets
    Set oSheets = oDrawing.Sheets
    
    Dim oSheet As DrawingSheet
    Set oSheet = oSheets.Item(1)
    
    Dim oView As DrawingView
    Set oView = oSheet.Views.Item(3)
    oView.Activate
    
    oView.GenerativeBehavior.PointsProjectionMode = catPointsProjectionModeOn
    Set oView2 = oView.GenerativeBehavior
    
    oView2.Update
    
End Sub
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor

Top